import winston from 'winston';
import { Environment } from '../';
export declare type Winston = typeof winston;
export interface LogPath {
    combinedLogPath: string;
    errorLogPath: string;
}
export declare abstract class Logger {
    abstract get winston(): Winston;
    abstract start(environment: Environment, logPath: LogPath): void;
}
export declare class WinstonLogger extends Logger {
    private static _instance;
    private isRequired;
    private _winston;
    private constructor();
    get winston(): typeof winston;
    static getInstance(): WinstonLogger;
    start(environment: Environment, logPath: LogPath): void;
}
